//
//  TableViewController.m
//  Goner
//
//  Created by nyuguest on 4/13/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "TableViewController.h"

@interface TableViewController ()
@end

@implementation TableViewController

- (id) initWithStyle: (UITableViewStyle) style
{
	self = [super initWithStyle: style];
	if (self) {
		// Custom initialization
		characters = [NSMutableArray arrayWithObjects:
			@"Scarlett O’Hara",	//apostrophe: Unicode \u2019
			@"Rhett Butler",
			@"Ashley Wilkes",
			@"Melanie Hamilton",
			@"Scarlett’s father",
			@"Scarlett’s mother",
			@"Mammy (Scarlett’s slave)",
			@"Big Sam (Scarlett’s slave)",
			@"Charles Hamilton (1st husband)",
			@"Frank Kennedy (2nd husband)",
			@"Bonnie Butler (S’s daughter)",
			@"Belle Watling",
			nil
		];
		cellReuseIdentifier = @"characters";
	}
	return self;
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	[self.tableView registerClass: [UITableViewCell class]
		forCellReuseIdentifier: cellReuseIdentifier];

	// Uncomment the following line to preserve selection between presentations.
	// self.clearsSelectionOnViewWillAppear = NO;

	//Uncomment the following line to display an Edit button in the navigation bar for this view controller.
	self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger) numberOfSectionsInTableView: (UITableView *) tableView
{
	// Return the number of sections.
	return 1;
}

- (NSInteger) tableView: (UITableView *) tableView numberOfRowsInSection: (NSInteger) section
{
	// Return the number of rows in the section.
	return characters.count;
}

- (UITableViewCell *) tableView: (UITableView *) tableView cellForRowAtIndexPath: (NSIndexPath *) indexPath
{
	UITableViewCell *cell =
		[tableView dequeueReusableCellWithIdentifier: cellReuseIdentifier forIndexPath: indexPath];

	// Configure the cell...
	cell.textLabel.text = [characters objectAtIndex: indexPath.row];
	return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
	// Return NO if you do not want the specified item to be editable.
	return YES;
}
*/


// Override to support editing the table view.
- (void) tableView: (UITableView *) tableView commitEditingStyle: (UITableViewCellEditingStyle) editingStyle forRowAtIndexPath: (NSIndexPath *) indexPath
{
	if (editingStyle == UITableViewCellEditingStyleDelete) {
		// Delete the row from the data source
		// Delete the row from the data source
		[characters removeObjectAtIndex: indexPath.row];
		[tableView deleteRowsAtIndexPaths: @[indexPath] withRowAnimation: UITableViewRowAnimationFade];
	}
	else if (editingStyle == UITableViewCellEditingStyleInsert) {
		// Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
	}
}


/*
// Override to support rearranging the table view.
- (void) tableView: (UITableView *) tableView moveRowAtIndexPath: (NSIndexPath *) fromIndexPath toIndexPath: (NSIndexPath *) toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL) tableView: (UITableView *) tableView canMoveRowAtIndexPath: (NSIndexPath *) indexPath
{
	// Return NO if you do not want the item to be re-orderable.
	return YES;
}
*/

#pragma mark - Table view delegate

- (void) tableView: (UITableView *) tableView didSelectRowAtIndexPath: (NSIndexPath *) indexPath
{
	// Navigation logic may go here. Create and push another view controller.
	/*
	 <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName: @"<#Nib name#>" bundle: nil];
	 // ...
	 // Pass the selected object to the new view controller.
	 [self.navigationController pushViewController: detailViewController animated: YES];
	*/
}

@end
